View Issue Details

IDProjectCategoryView StatusLast Update
0004272SketcherBugpublic2020-06-05 17:23
ReporterMuffinChocolate Assigned Toabdullah  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Target Version0.19Fixed in Version0.19 
Summary0004272: Sketcher object selection detection is flickering
DescriptionHello,

The summary should say it all (if the sentence makes any sense).
If not, forum post with gifs: https://forum.freecadweb.org/viewtopic.php?f=3&t=43563

I think its severe because it is a basic feature not working and causing major headache for me as a newbie (if unnoticed I will keep creating new nodes which I have no idea how to conveniently identify later).
But I am filing this as minor in the hopes someone experienced can adjust this accordingly if it has to.
Steps To Reproduce1) Install any version of freecad (I have tested with self-compiled snapshot, 0.18, 0.17, 0.16.)
2) Ideally set the pick radius in the options to something high like 50px. It will help reproduce it without getting hand cramps but the issue will occur regardless of the setting.
3) Create sketch
4) Select a tool
5) Move towards a point and inside its pick radius.
6) Move around staying inside the pick radius
7) Notice selection flickering
Additional Information-
TagsNo tags attached.
FreeCAD Information-

Activities

Kunda1

2020-02-23 00:18

administrator   ~0014176

Added to 0.19 Roadmap

abdullah

2020-06-01 14:20

manager   ~0014453

PR:
https://github.com/FreeCAD/FreeCAD/pull/3544/files

abdullah

2020-06-01 18:00

manager   ~0014454

git commit f086580013e917b66e50c7a69b63f5f34efed4e8

abdullah

2020-06-05 17:23

manager   ~0014477

Fix committed to master branch.

Related Changesets

FreeCAD: master f0865800

2020-06-01 14:09:48

abdullah


Committer: abdullahtahiriyo Details Diff
Sketcher: Make setposition text unpickable

==========================================

fixes 0004272

The setposition text string was being picked interfering with preselection of autoconstraints.

Merit for the solution goes to Werner:
https://forum.freecadweb.org/viewtopic.php?f=10&t=47092&p=404519#p404519
Affected Issues
0004272
mod - src/Mod/Sketcher/Gui/ViewProviderSketch.cpp Diff File

Issue History

Date Modified Username Field Change
2020-02-22 20:48 MuffinChocolate New Issue
2020-02-22 20:49 MuffinChocolate Description Updated View Revisions
2020-02-22 20:50 MuffinChocolate Steps to Reproduce Updated View Revisions
2020-02-22 21:55 openBrain Status new => confirmed
2020-02-23 00:18 Kunda1 Target Version => 0.19
2020-02-23 00:18 Kunda1 Note Added: 0014176
2020-06-01 14:20 abdullah Note Added: 0014453
2020-06-01 18:00 abdullah Assigned To => abdullah
2020-06-01 18:00 abdullah Status confirmed => closed
2020-06-01 18:00 abdullah Resolution open => fixed
2020-06-01 18:00 abdullah Fixed in Version => 0.19
2020-06-01 18:00 abdullah Note Added: 0014454
2020-06-05 17:23 abdullah Changeset attached => FreeCAD master f0865800
2020-06-05 17:23 abdullah Note Added: 0014477